> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current plan usage vs limits



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/billing/usage
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/billing/usage:
    get:
      tags:
        - Billing
      summary: Get current plan usage vs limits
      operationId: getV1BillingUsage
      parameters: []
      responses:
        '200':
          description: Plan usage
          content:
            application/json:
              schema:
                type: object
                properties:
                  plan:
                    type: object
                    nullable: true
                  usage:
                    type: object
                    properties:
                      config_entries:
                        type: object
                        properties:
                          current:
                            type: integer
                          limit:
                            type: integer
                            nullable: true
                      devices:
                        type: object
                        properties:
                          current:
                            type: integer
                          limit:
                            type: integer
                            nullable: true
                      automations:
                        type: object
                        properties:
                          current:
                            type: integer
                          limit:
                            type: integer
                            nullable: true
              example:
                plan:
                  name: Pro
                usage:
                  config_entries:
                    current: 2
                    limit: 10
                  devices:
                    current: 5
                    limit: null
                  automations:
                    current: 3
                    limit: 20
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````